summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorViorel Munteanu <ceamac.paragon@gmail.com>2022-04-02 09:48:39 +0300
committerFlorian Schmaus <flow@gentoo.org>2022-04-03 11:56:23 +0200
commit2bda6cc82caf55afd1f0c5c213f6525cb2d2fd3d (patch)
tree5de12a82006d5dd1d29b7412d440a7dacae8011f
parentnet-misc/tigervnc: Install vncserver in $PATH (diff)
downloadgentoo-2bda6cc8.tar.gz
gentoo-2bda6cc8.tar.bz2
gentoo-2bda6cc8.zip
net-misc/tigervnc: Fix bug in init script
cannot start user-server when user-home is on nfs and not readable by root Closes: https://bugs.gentoo.org/690046 Signed-off-by: Manuel Mommertz <2kmm@gmx.de> Signed-off-by: Viorel Munteanu <ceamac.paragon@gmail.com> Signed-off-by: Florian Schmaus <flow@gentoo.org>
-rw-r--r--net-misc/tigervnc/files/tigervnc-1.12.0.initd3
1 files changed, 2 insertions, 1 deletions
diff --git a/net-misc/tigervnc/files/tigervnc-1.12.0.initd b/net-misc/tigervnc/files/tigervnc-1.12.0.initd
index c27d9c01bd7e..187b3c7296b4 100644
--- a/net-misc/tigervnc/files/tigervnc-1.12.0.initd
+++ b/net-misc/tigervnc/files/tigervnc-1.12.0.initd
@@ -12,7 +12,8 @@ checkconfig() {
if [ -n "${DISPLAYS}" ]; then
if [ "$1" = "start" ]; then
for user in $DISPLAYS; do
- if eval [ ! -f "~${user%%:*}/.vnc/passwd" ]; then
+ # bug #690046
+ if ! runuser -l "${user%%:*}" -c "[ -f ~/.vnc/passwd ]"; then
eerror "There are no passwords defined for user ${user%%:*}."
return 1
elif [ -e "/tmp/.X11-unix/X${user##*:}" ]; then